using System;
using System.Data;
using Transport.DAL;


namespace Transport.BLL
{
    class bll_transport
    {
        // فراخوانی متد اجرای دستورات توسط این متد انجام میگیرد
        public static bool RunQuery(string SQLQuery)
        {
            bool   TransactionResult = dal_commonCrud.RunQuery(SQLQuery);
            return TransactionResult;
        }

        // فرخوانی متد انتخاب همه رکوردهای یک جدول توسط این متد انجام میگیرد
        public static DataTable SelectAllRecord(string TableName)
        {
            return    dal_commonCrud.SelectAllRecords(TableName);
        }


        //جستجو در جدول شهر ها بر اساس رشته پرس و جوی ارسالی از فرم
        public static DataTable search_in_transport(string SQLQuery)
        {
            DataTable SearchResultTable = dal_commonCrud.search(SQLQuery);
            return SearchResultTable;
        }


        public static int SumOfTransport(string start_date, string end_date, bool is_all_date)
        {
            int SumTransportResutl = dal_transport.SumOfTransport(start_date, end_date,is_all_date);
            return SumTransportResutl;
        }

    }
}
